Updates custom field order in a template.

PUThttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/customfielddefinitions/{customFieldDefinitionId}
PUT https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/customfielddefinitions/{customFieldDefinitionId}

Updates custom field order in a template. The custom field order is stored for the template.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectTemplateIdstringRequired
format: uuid

The id of the project template.

customFieldDefinitionIdstringRequired
format: uuid

The id of the custom field definition.

Request body Required

The model used to update the order of the custom field definition.

application/json

ordernumberRequired
format: double

The order of the custom field definition within a project template or a project.

Responses

200 OK

application/json

ordernumberOptional
format: double

The order of the custom field definition within a project template or a project.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation